Transactions
Etherscan-compatible endpoints for the Transactions module.
Check Contract Execution Status
Returns the status code of a contract execution.
GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=transaction&action=getstatus&txhash=0x15f8e5ea1079d9a0bb04a4c58ae5fe7654b5b2b4463375ff7ffb490aa0032f3a&apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=transaction&action=getstatus&txhash=0x15f8e5ea1079d9a0bb04a4c58ae5fe7654b5b2b4463375ff7ffb490aa0032f3a' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 isError: string;
6 errDescription: string;
7 };
8}
Check Transaction Receipt Status
Returns the status code of a transaction execution.
GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=transaction&action=gettxreceiptstatus&txhash=0x513c1ba0bebf66436b5fed86ab668452b7805593c05073eb2d51d3a52f480a76&apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=transaction&action=gettxreceiptstatus&txhash=0x513c1ba0bebf66436b5fed86ab668452b7805593c05073eb2d51d3a52f480a76' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 status: string;
6 };
7}